Bug 1471469 - Cannot migrate from owncloud 9.1.5 to nextcloud 10.0.4
Summary: Cannot migrate from owncloud 9.1.5 to nextcloud 10.0.4
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nextcloud
Version: 28
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-16 07:15 UTC by Marek Greško
Modified: 2019-06-14 14:14 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:42:35 UTC


Attachments (Terms of Use)

Description Marek Greško 2017-07-16 07:15:05 UTC
Description of problem:
I am not able to migrate from owncloud 9.1.5 to nextcloud 10.0.4 because it reports downgrade is not possible. As I searched for a solution it seems nextcloud 10.0.5 is needed tosolve the issue.

Version-Release number of selected component (if applicable):
10.0.4

How reproducible:
Always

Steps to Reproduce:
1. Get working owncloud.
2. Configure nextcloud.
3. Try to migrate from owncloud to nextcloud.

Actual results:

# sudo -u apache php /usr/share/nextcloud/occ upgrade
An unhandled exception has been thrown:
OC\HintException: [0]: Downgrading is not supported and is likely to cause unpredictable issues (from 9.1.5.2 to 9.1.4.2) ()


Expected results:
Seemless upgrade.

Additional info:

Comment 1 bugzilla 2017-08-15 20:07:55 UTC
hello guys!

I've got the same issue.
If nextcloud 10.0.5 is the solution, is there a plan for release this version?
Even updates-testing doesn't provide an update to it.

Comment 2 Marek Greško 2017-08-16 08:33:26 UTC
Nextcloud 10.0.5 definitely is a solution. I prepared rpm packages myself, updated and it works.

But remember, the version 10.x of nextcloud is rather outdated now. It is better to upgrade to currently supported version.

Comment 3 Kamichr 2017-08-16 10:34:59 UTC
Hi Marek,

the issue is, that FC 26 doesn't ship NC 11.
The current versions of OC and NC are:

Name         : nextcloud
Version      : 10.0.4
Release      : 2.fc26

Name         : owncloud
Version      : 9.1.5
Release      : 1.fc26

If one (and I did) uses the migration description shipped with Fedora (/usr/share/doc/nextcloud/MIGRATION.fedora) then it is not possible to migrate due to the version mismatch.

NC should be updated to 10.0.5 anyway. CVE-2017-0893 would be fixed then (despite the low risk level).

Comment 4 Marek Greško 2017-08-16 13:01:13 UTC
Yes, fedora does not ship nextcloud 11. But nextcloud 10 is not supported any more. Only 11 and 12. It should not be a problem. Owncloud was upgraded from 8 to 9 as a regular update during fedora 24. Compare fedora 24 release and updates repositories. Definitely, at least 10.0.5 version is required to migrate.

Comment 5 bugzilla 2017-08-16 20:15:35 UTC
I can confirm that migration works with installed nextcloud version 10.0.5.

Comment 6 Russell Odom 2018-01-20 12:24:46 UTC
Note that either bug 1444007 or 1433919 could fix this, depending on the exact versions eventually built.

Comment 7 Germano Massullo 2018-02-07 14:15:37 UTC
(In reply to bugzilla from comment #5)
> I can confirm that migration works with installed nextcloud version 10.0.5.

James, can't we upgrade Nextcloud to 10.0.5 so that Owncloud users can migrate to Nextcloud, and then finally move to Nextcloud >= 11?

Comment 8 Fedora End Of Life 2018-05-03 08:40:36 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-05-02 19:22:49 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2019-05-02 19:52:10 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Ben Cotton 2019-05-28 23:42:35 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 Olivier LAHAYE 2019-06-14 14:05:17 UTC
Same problem for me on CentOS-7 using EPEL-7 packages as of date 14 June 2019

Comment 13 Olivier LAHAYE 2019-06-14 14:14:24 UTC
rebuilding rpm with v 10.0.5 fixes the problem on CentOS-7 as well.


Note You need to log in before you can comment on or make changes to this bug.